import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/ai` + url, ...arg)

export default {
	getPersonCapture(data) {
		return request('/personCapture/getPastCapture', data, 'get')
	},
	getPersonCapturePage(data) {
		return request('/personCapture/page', data, 'get')
	},
	editPersonCapturePage(data) {
		return request('/personCapture/edit', data, 'post')
	},
	delPersonCapturePage(data) {
		return request('/personCapture/delete', data, 'post')
	},
	getCarCapture(data) {
		return request('/carCapture/getPastCapture', data, 'get')
	},
	getCarCapturePage(data) {
		return request('/carCapture/page', data, 'get')
	},
	editCarCapturePage(data) {
		return request('/carCapture/edit', data, 'post')
	},
	delCarCapturePage(data) {
		return request('/carCapture/delete', data, 'post')
	},
	getForeignCapturePage(data) {
		return request('/speciesCapture/page', data, 'get')
	},
	delForeignCapturePage(data) {
		return request('/speciesCapture/delete', data, 'post')
	},
	editForeignCapturePage(data) {
		return request('/speciesCapture/edit', data, 'post')
	},
	getDirtyCapturePage(data) {
		return request('/dirtyCapture/page', data, 'get')
	},
	delDirtyCapturePage(data) {
		return request('/dirtyCapture/delete', data, 'post')
	},
	addFollow(data) {
		return request('/followEvents/add', data, 'post')
	},
	cancelFollow(data) {
		return request('/followEvents/cancel', data, 'post')
	},
	getFollowPage(data) {
		return request('/followEvents/page', data, 'get')
	},
	getDevicePage(data) {
		return request('/aiDevice/page', data, 'get')
	},
	getDeviceType(data) {
		return request('/aiDevice/deviceTypeSelector', data, 'get')
	},
	addDevice(data) {
		return request('/aiDevice/add', data, 'post')
	},
	editDevice(data) {
		return request('/aiDevice/edit', data, 'post')
	},
	delDevice(data) {
		return request('/aiDevice/delete', data, 'post')
	},
	// 设备汇总
	getDeviceCount(data) {
		return request('/aiDevice/deviceCount', data, 'get')
	}
}
